Bug 1011312 - [Docs] [Dev] Errors in Appendix A 'SDK Examples'
[Docs] [Dev] Errors in Appendix A 'SDK Examples'
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Burden
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 00:47 EDT by Andrew Burden
Modified: 2014-09-16 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 12978, Developer Guide-3.3-1 Build Date: 20-08-2013 13:01:50 Topic ID: 13568-435328 [Latest]
Last Closed: 2014-09-16 21:57:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Burden 2013-09-24 00:47:52 EDT
As discussed in a separate bug:
(https://bugzilla.redhat.com/show_bug.cgi?id=1007394)

"
Looking at the Further_Python_SDK_Examples.html, imported config/states
are not a part of sdk nor any of our distributions and should be removed indeed,

also not sure where form these examples are coming, but there are tones of *bad*
code, like using sdk internals which are not a part of public interface and can
be changed at any time breaking client's code, i'll list few that you should be
removing from the guide [1], on other hand, you can include these [2] and/or you
may ask edolinin/imeerovi if you need more.

[1]

- A.2. Common Functions and Wrappers Header
- disconnect
- def _getApi():
- objectDescr

to be honest i'm not sure if we should be publishing any of examples
suggested by Dan, its few private/use-case driven implementations that
doesn't add any value, in my view, [2] is much better approach as it gives
generic view on sdk.

[2]

http://www.ovirt.org/Python-sdk#Examples
http://www.ovirt.org/Testing/PythonAp
"

Expected Results:
Remove current examples and rebuild using examples from [2] and any provided by SMEs
Comment 1 Andrew Burden 2014-08-18 01:28:09 EDT
This content was removed from the Developer Guide (now a part of the Technical Guide).
Comment 2 Andrew Burden 2014-09-16 21:57:35 EDT
This bug is being closed as the examples are no longer included in the documentation.

Note You need to log in before you can comment on or make changes to this bug.